{% load static i18n %}
{% load check_permissions %}

<div id="texts" class="row">
    <div class="pt-2 mb-0 content">
        <h2 class="tag-container-expand mt-4 u-flex u-items-flex-end u-justify-space-between pb-1">
            {% blocktranslate count counter=texts|length trimmed %}
                Text
            {% plural %}
                Texts
            {% endblocktranslate %}
            {% if user|can_add_mlgr %}
                <a
                    class="text-light"
                    href="#text-create"
                    data-action="modals#open"
                    >
                    <span class="tag tag--halflarge tag--update tag--info bg-gray-700"> 
                        <svg class="svgicon svgicon-plus">
                            <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-plus"></use>
                        </svg> 
                    </span><span class="tag tag--halflarge tag--hover tag--info bg-gray-700">
                        {% translate 'Add' %}
                    </span>
                </a>
            {% endif %}
        </h2>
        {% if user|can_add_mlgr %}
            <div
                id="text-create"
                class="modal modal-large modal-animated--zoom-in"
                data-controller="turbo"
                data-turbo-url-value="{% url 'web:'|add:object_kind|add:'-text-create' object_pk %}"
                >
                <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right" aria-label="{% translate 'Close' %}">
                    <span class="icon mt-2 mr-3">
                        <svg class="svgicon svgicon-cross">
                            <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cross"></use>
                        </svg>
                    </span>
                </a>

                <div class="modal-content" role="document" data-turbo-target="wrapper"></div>
            </div>
        {% endif %}
    </div>
</div>
<div class="row">
    <div class="col-6
        {% if texts|length < 2 %}offset-3{% endif %}">
        <div id="texts-tabs-first" data-controller="tabs">
            <div class="tab-container tabs-fill mb-3">
                <ul role="tablist"
                    data-action="keydown->tabs#keyboardA11Y"
                    aria-label="{% translate 'Texts translations tabs (first)' %}">
                    {% for text in texts %}
                        <li {% if forloop.first %}class="selected"{% endif %}>
                            <a role="tab"
                                id="text-tab-first-{{ forloop.counter }}-{{ text.language.code }}"
                                aria-selected="{% if forloop.first %}true{% else %}false{% endif %}"
                                aria-controls="text-content-first-{{ forloop.counter }}-{{ text.language.code }}"
                                data-tabs-target="link"
                                data-action="tabs#switch"
                                href="#text-content-first-{{ forloop.counter }}-{{ text.language.code }}"
                                tabindex="{% if forloop.first %}0{% else %}-1{% endif %}"
                                >{{ text.language.code.upper }}</a>
                        </li>
                    {% endfor %}
                </ul>
            </div>

            {% for text in texts %}
                <div role="tabpanel"
                    id="text-content-first-{{ forloop.counter }}-{{ text.language.code }}"
                    aria-labelledby="text-tab-first-{{ forloop.counter }}-{{ text.language.code }}"
                    data-tabs-target="content"
                    tabindex="0"
                    {% if not forloop.first %}hidden{% endif %}
                    >
                    <blockquote class="u-clearfix">
                        {{ text.text|linebreaks }}
                        {% if text.edition %}
                            — {{ text.edition.descriptions.first.description }}
                        {% endif %}
                        <div class="mt-6 u-pull-right tag-container-expand">
                        {% if user|can_change:text %}
                            <a
                                href="#text-update-{{ text.pk }}"
                                data-action="modals#open"
                                >
                                <span class="tag tag--halflarge tag--update tag--info bg-gray-700"> 
                                    <svg class="svgicon svgicon-pencil">
                                        <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-pencil"></use>
                                    </svg> 
                                </span><span class="tag tag--halflarge tag--hover tag--info bg-gray-700">
                                    {% translate 'Edit' %}
                                </span>
                            </a>
                        {% endif %}
                        {% if user|can_delete:text %}
                            <a
                                href="#text-delete-{{ text.pk }}"
                                data-action="modals#open"
                                >
                                <span class="tag tag--halflarge tag--delete tag--danger"> 
                                    <svg class="svgicon svgicon-cancel-circle">
                                        <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cancel-circle"></use>
                                    </svg> 
                                    {% translate 'Remove' %}
                                </span>
                            </a>
                        {% endif %}
                        </div>
                    </blockquote>
                    {% if user|can_change:text %}
                        <div
                            id="text-update-{{ text.pk }}"
                            class="modal modal-large modal-animated--zoom-in"
                            data-controller="turbo"
                            data-turbo-url-value="{% url 'web:'|add:object_kind|add:'-text-update' object_pk text.pk %}"
                            >
                            <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right" aria-label="{% translate 'Close' %}">
                                <span class="icon mt-2 mr-3">
                                    <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="times" class="svg-inline--fa fa-times fa-w-11 fa-wrapper" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 352 512"><path fill="#fff" d="M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z"></path></svg>
                                </span>
                            </a>
                            <div class="modal-content" role="document" data-turbo-target="wrapper"></div>
                        </div>
                    {% endif %}
                    {% if user|can_delete:text %}
                        <div
                            id="text-delete-{{ text.pk }}"
                            class="modal modal-large modal-animated--zoom-in"
                            data-controller="turbo"
                            data-turbo-url-value="{% url 'web:'|add:object_kind|add:'-text-delete' object_pk text.pk %}"
                            >
                            <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right" aria-label="{% translate 'Close' %}">
                                <span class="icon mt-2 mr-3">
                                    <svg class="svgicon svgicon-cross">
                                        <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cross"></use>
                                    </svg>
                                </span>
                            </a>

                            <div class="modal-content" role="document" data-turbo-target="wrapper"></div>
                        </div>
                    {% endif %}
                </div>
            {% endfor %}
        </div>
    </div>
    {% if texts|length >= 2 %}
        <div class="col-6">
            <div id="texts-tabs-last" data-controller="tabs">
                <div class="tab-container tabs-fill mb-3">
                    <ul role="tablist"
                        data-action="keydown->tabs#keyboardA11Y"
                        aria-label="{% translate 'Texts translations tabs (last)' %}">
                        {% for text in texts reversed %}
                            <li {% if forloop.first %}class="selected"{% endif %}>
                                <a role="tab"
                                    id="text-tab-last-{{ forloop.counter }}-{{ text.language.code }}"
                                    aria-selected="{% if forloop.first %}true{% else %}false{% endif %}"
                                    aria-controls="text-content-last-{{ forloop.counter }}-{{ text.language.code }}"
                                    data-tabs-target="link"
                                    data-action="tabs#switch"
                                    href="#text-content-last-{{ forloop.counter }}-{{ text.language.code }}"
                                    tabindex="{% if forloop.first %}0{% else %}-1{% endif %}"
                                    >{{ text.language.code.upper }}</a>
                            </li>
                        {% endfor %}
                    </ul>
                </div>

                {% for text in texts reversed %}
                    <div role="tabpanel"
                        id="text-content-last-{{ forloop.counter }}-{{ text.language.code }}"
                        aria-labelledby="text-tab-last-{{ forloop.counter }}-{{ text.language.code }}"
                        data-tabs-target="content"
                        tabindex="0"
                        {% if not forloop.first %}hidden{% endif %}
                        >
                        <blockquote>
                            {{ text.text|linebreaks }}
                            {% if text.edition %}
                                — {{ text.edition.descriptions.first.description }}
                            {% endif %}
                        </blockquote>
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endif %}
</div>
